POSTGet Token Metadata by MintAddresses

Data APIhttps://web3.nodit.io/v1/solana/mainnet/token/getTokenMetadataByMintAddresses

Retrieves the metadata of one or more tokens by their MintAddresses.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Request Body
mintAddressesstring[]required

Parameter specifying the list of token MintAddresses to query. Each MintAddress must be entered as a 32–44 character Base58-encoded string, and up to 1,000 MintAddresses can be entered.

Responses
programIdstringrequired

A field representing the address of the program that executed the metadata. (e.g. SPL Token Program, Metaplex Token Metadata Program)

Example: TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA

addressstringrequired

A field representing the MintAddress of the token to which the metadata is linked.

Example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB

decimalsintegerrequired

A field representing the number of decimal places of the token. When interpreting supply or balance, convert with amount / 10^decimals.

Example: 6

namestringrequired

A field representing the display name of the token.

Example: Tether USDt

symbolstringrequired

A field representing the symbol (ticker) of the token.

Example: USDT

X-API-KEY
RequestCU150
cURL
curl -X POST "https://web3.nodit.io/v1/solana/mainnet/token/getTokenMetadataByMintAddresses" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
    "mintAddresses": [
      "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "So11111111111111111111111111111111111111112"
    ]
  }'
Response
Example · 200
[
  {
    "programId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
    "address": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
    "decimals": 6,
    "name": "Tether USDt",
    "symbol": "USDT"
  }
]